Package com.microblink.blinkid.fragment.overlay.components.onboarding

# Class OnboardingFragment

java.lang.Object
androidx.fragment.app.Fragment
com.microblink.blinkid.fragment.overlay.components.onboarding.OnboardingFragment

All Implemented Interfaces:
  `android.content.ComponentCallbacks`, `android.view.View.OnCreateContextMenuListener`, `androidx.activity.result.ActivityResultCaller`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`

public class OnboardingFragment extends androidx.fragment.app.Fragment

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARG_BACKGROUND_COLOR`
  `static final String`
  `ARG_IMAGE`
  `static final String`
  `ARG_IMAGE_LIST`
  `static final String`
  `ARG_MESSAGE`
  `static final String`
  `ARG_MESSAGE_TEXT_APPEARANCE`
  `static final String`
  `ARG_TITLE`
  `static final String`
  `ARG_TITLE_TEXT_APPEARANCE`

  ### Fields inherited from class androidx.fragment.app.Fragment

  `mPreviousWho`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OnboardingFragment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OnboardingFragment`
  `newInstance(int[] imageResourceList, String title, int titleTextAppearance, String message, int messageTextAppearance, int backgroundColor)`
  `static OnboardingFragment`
  `newInstance(int imageResource, String title, int titleTextAppearance, String message, int messageTextAppearance, int backgroundColor)`
  `android.view.View`
  `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getParentFragmentManager, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForActivityResult, registerForActivityResult, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ARG_TITLE

    public static final String ARG_TITLE
    See Also:
      - Constant Field Values

  - ### ARG_MESSAGE

    public static final String ARG_MESSAGE
    See Also:
      - Constant Field Values

  - ### ARG_IMAGE

    public static final String ARG_IMAGE
    See Also:
      - Constant Field Values

  - ### ARG_IMAGE_LIST

    public static final String ARG_IMAGE_LIST
    See Also:
      - Constant Field Values

  - ### ARG_TITLE_TEXT_APPEARANCE

    public static final String ARG_TITLE_TEXT_APPEARANCE
    See Also:
      - Constant Field Values

  - ### ARG_MESSAGE_TEXT_APPEARANCE

    public static final String ARG_MESSAGE_TEXT_APPEARANCE
    See Also:
      - Constant Field Values

  - ### ARG_BACKGROUND_COLOR

    public static final String ARG_BACKGROUND_COLOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OnboardingFragment

    public OnboardingFragment()

- ## Method Details

  - ### onCreateView

    @Nullable public android.view.View onCreateView(@NonNull android.view.LayoutInflater inflater, @Nullable android.view.ViewGroup container, @Nullable android.os.Bundle savedInstanceState)
    Overrides:
      `onCreateView` in class `androidx.fragment.app.Fragment`

  - ### newInstance

    public static OnboardingFragment newInstance(@DrawableRes int imageResource, String title, @StyleRes int titleTextAppearance, String message, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)

  - ### newInstance

    public static OnboardingFragment newInstance(int[] imageResourceList, String title, @StyleRes int titleTextAppearance, String message, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)